<?php

namespace Keedosn\UnityGroupTest\Zoo\Species;

use Keedosn\UnityGroupTest\Zoo\FoodType\FoodType;
use Keedosn\UnityGroupTest\Zoo\FoodType\Herbivorous;

class Rabbit extends Species
{
    protected string $name = 'Królik';

    public function getFoodType(): FoodType
    {
        return new Herbivorous();
    }

    public function hasFur(): bool
    {
        return true;
    }

    public function clearFur(): bool
    {
        echo 'Indywidualny sposób mycia królika...';
        
        return true;
    }
    
    public function getSound(): string
    {
        return 'Squeak';
    }
}
