<?php

namespace Keedosn\UnityGroupTest\Zoo\Species;

use Keedosn\UnityGroupTest\Zoo\FoodType\Carnivorous;
use Keedosn\UnityGroupTest\Zoo\FoodType\FoodType;

class SnowLeopard extends Species
{
    protected string $name = 'Ibris śnieżny';

    public function getFoodType(): FoodType
    {
        return new Carnivorous();
    }

    public function hasFur(): bool
    {
        return true;
    }

    public function clearFur(): bool
    {
        echo 'Indywidualny sposób mycia ibrysa syberyjskiego...';

        return true;
    }
    
    public function getSound(): string
    {
        return 'Growl';
    }
}
