<?php

namespace Keedosn\UnityGroupTest\Zoo\Species;

use Keedosn\UnityGroupTest\Zoo\FoodType\FoodType;

abstract class Species
{
    protected string $name = '';

    private FoodType $foodType;

    public function getName(): string
    {
        return $this->name;
    }

    public abstract function hasFur(): bool;

    public abstract function clearFur(): bool;

    public abstract function getSound(): string;

    public abstract function getFoodType(): FoodType;
}
