<?php

namespace Keedosn\UnityGroupTest\Zoo\Species;

use Keedosn\UnityGroupTest\Zoo\FoodType\Carnivorous;
use Keedosn\UnityGroupTest\Zoo\FoodType\FoodType;

class Tiger extends Species
{
    protected string $name = 'Tygrys';

    public function getFoodType(): FoodType
    {
        return new Carnivorous();
    }

    public function hasFur(): bool
    {
        return true;
    }

    public function clearFur(): bool
    {
        return true;
    }
    
    public function getSound(): string
    {
        return 'Roar';
    }
}
