<?php

namespace Keedosn\UnityGroupTest\Zoo\Species;

use Keedosn\UnityGroupTest\Zoo\FoodType\FoodType;
use Keedosn\UnityGroupTest\Zoo\FoodType\Herbivorous;

class Elephant extends Species
{
    protected string $name = 'Słoń';

    public function getFoodType(): FoodType
    {
        return new Herbivorous();
    }

    public function hasFur(): bool
    {
        return false;
    }

    public function clearFur(): bool
    {
        return false;
    }
    
    public function getSound(): string
    {
        return 'Trumpet';
    }
}