<?php

namespace Keedosn\UnityGroupTest\Zoo\Species;

use Keedosn\UnityGroupTest\Zoo\FoodType\FoodType;
use Keedosn\UnityGroupTest\Zoo\FoodType\Omnivorous;

class Fox extends Species
{
    protected string $name = 'Lis';

    public function getFoodType(): FoodType
    {
        return new Omnivorous();
    }

    public function hasFur(): bool
    {
        return true;
    }

    public function clearFur(): bool
    {
        echo 'Indywidualny sposób mycia lisa...';
        
        return true;
    }

    public function getSound(): string
    {
        return 'Yip';
    }
}
